<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
   <script>
       //Создала массив
     let styles=["Jazz","Blues"];
     //Через метод push вставила еще 1 элемент
     styles.push("Rock-n-Roll"); 
     document.write(styles+"<br/>");
     /* Нашла значение в средине, поделив длину на 2, число выходит не целым,
     3/2=1.5, округливается через Math.round() до 2, отняла 1 */
     let middle=styles[Math.round((styles.length-1)/2)];
     //Поменяла значение
     styles[middle]="Classic";
     document.write(styles[middle]+"<br/>");
     //Удалила первое значение и вывела его
     let udalenie=styles.shift();
     document.write(udalenie+"<br/>");
     //Добавила в начало 2 новых значения со сдвигом остальных
     styles.unshift("Rap","Reggae");
     document.write(styles+"<br/>");
       </script>
</body>
</html>